Package ru.bitel.bgbilling.kernel.module.common.bean

# Class Service

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.module.common.bean.Service

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class Service extends IdTitle
Услуга по наработкам в договоре.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Service.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Service()`
  `Service(int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Service.Builder`
  `builder()`
  `Object`
  `clone()`
  `Service`
  `copy()`
  `Period`
  `getActivePeriod()`
  `String`
  `getConfig()`
  `Preferences`
  `getConfigPreferences()`
  только для чтения параметров конфигурации
  `int`
  `getModuleId()`
  `int`
  `getUnit()`
  `boolean`
  `isUsing()`
  `void`
  `setActivePeriod(Period activePeriod)`
  `void`
  `setConfig(String config)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setUnit(int unit)`
  `void`
  `setUsing(boolean used)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### Service

    public Service()

  - ### Service

    public Service(int moduleId)

- ## Method Details

  - ### clone

    public Object clone()
    Overrides:
      `clone` in class `Object`

  - ### copy

    public Service copy()

  - ### getActivePeriod

    public Period getActivePeriod()

  - ### getConfig

    public String getConfig()

  - ### getConfigPreferences

    public Preferences getConfigPreferences()
    только для чтения параметров конфигурации
    Returns:

  - ### getModuleId

    public int getModuleId()

  - ### getUnit

    public int getUnit()

  - ### isUsing

    public boolean isUsing()

  - ### setActivePeriod

    public void setActivePeriod(Period activePeriod)

  - ### setConfig

    public void setConfig(String config)

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### setUnit

    public void setUnit(int unit)

  - ### setUsing

    public void setUsing(boolean used)

  - ### builder

    public static Service.Builder builder()